//----------------------------------------------------------------------------
//      _____
//     *     *
//    *____   *____
//   * *===*   *==*
//  *___*===*___**  AVNET
//       *======*
//        *====*
//----------------------------------------------------------------------------
//
// This design is the property of Avnet.  Publication of this
// design is not authorized without written consent from Avnet.
//
// Please direct any questions to:  technical.support@avnet.com
//
// Disclaimer:
//    Avnet, Inc. makes no warranty for the use of this code or design.
//    This code is provided  "As Is". Avnet, Inc assumes no responsibility for
//    any errors, which may appear in this code, nor does it make a commitment
//    to update the information contained herein. Avnet, Inc specifically
//    disclaims any implied warranties of fitness for a particular purpose.
//                     Copyright(c) 2013 Avnet, Inc.
//                             All rights reserved.
//
//----------------------------------------------------------------------------
//
// Create Date:         May 14, 2013
// Module Name:         zynq_io.h
// Project Name:        Avnet Retarget Example
//
// Tool versions:       ARM DS-5 r14
//
// Description:         Text-based example application console for
//                      ZedBoard Getting Started Design with DS-5
//
// Dependencies:
//
// Revision:            May 14, 2013: 1.00 Initial version
//                      Aug 14, 2013: 1.01 Updated for customer example
//
//----------------------------------------------------------------------------

//----------------------------------------------------------------------------
// Prevent circular inclusions by using preprocessor protection macros.

#ifndef ZYNQ_IO_H
#define ZYNQ_IO_H

#ifdef __cplusplus
extern "C" {
#endif

//----------------------------------------------------------------------------
// Local Includes.

#include "zynq_types.h"

//----------------------------------------------------------------------------
// Macro Definitions.

/* Data Memory Barrier operation for memory synchronization. */
#define dmb(void) {__asm volatile ("dmb");}

//----------------------------------------------------------------------------
// Function Prototypes.

int8u zynq_read8(int32u address);
int16u zynq_read16(int32u address);
int32u zynq_read32(int32u address);

void zynq_write8(int32u address, int8u value);
void zynq_write16(int32u address, int16u value);
void zynq_write32(int32u address, int32u value);

//----------------------------------------------------------------------------
#ifdef __cplusplus
}
#endif

#endif // ZYNQ_IO_H
