//----------------------------------------------------------------------------
//      _____
//     *     *
//    *____   *____
//   * *===*   *==*
//  *___*===*___**  AVNET
//       *======*
//        *====*
//----------------------------------------------------------------------------
//
// This design is the property of Avnet.  Publication of this
// design is not authorized without written consent from Avnet.
//
// Please direct any questions to:  technical.support@avnet.com
//
// Disclaimer:
//    Avnet, Inc. makes no warranty for the use of this code or design.
//    This code is provided  "As Is". Avnet, Inc assumes no responsibility for
//    any errors, which may appear in this code, nor does it make a commitment
//    to update the information contained herein. Avnet, Inc specifically
//    disclaims any implied warranties of fitness for a particular purpose.
//                     Copyright(c) 2013 Avnet, Inc.
//                             All rights reserved.
//
//----------------------------------------------------------------------------
//
// Create Date:         May 14, 2013
// Module Name:         zynq_types.h
// Project Name:        Avnet Retarget Example
//
// Tool versions:       ARM DS-5 r14
//
// Description:         Definition of platform independent types against
//                      standard C native data types.
//
// Dependencies:
//
// Revision:            May 14, 2013: 1.00 Initial version
//                      Aug 14, 2013: 1.01 Updated for customer example
//
//----------------------------------------------------------------------------

//----------------------------------------------------------------------------
// Prevent circular inclusions by using preprocessor protection macros.
#ifndef ZYNQ_TYPES_H
#define ZYNQ_TYPES_H

#ifdef __cplusplus
extern "C" {
#endif

//----------------------------------------------------------------------------
// Constant Definitions.

#ifndef TRUE
#  define TRUE		1
#endif

#ifndef FALSE
#  define FALSE		0
#endif

#ifndef NULL
#define NULL		0
#endif

#define ZYNQ_READY     0x11111111  // Device ready.
#define ZYND_STARTED   0x22222222  // Device ready.

//----------------------------------------------------------------------------
// Type Definitions.

typedef unsigned char        int8u;
typedef char                 int8s;

typedef unsigned short       int16u;
typedef short                int16s;

typedef unsigned long        int32u;
typedef long                 int32s;

typedef unsigned long long   int64u;

//----------------------------------------------------------------------------
#ifdef __cplusplus
}
#endif

#endif // ZYNQ_TYPES_H
